﻿using System;

namespace DLW
{
    /// <summary>
    /// ContextMenuStripのToolTipが点滅を繰り返すバグへの対処
    /// </summary>
    class ContextMenuStrip : System.Windows.Forms.ContextMenuStrip
    {
        bool blinking;
        protected override void OnMouseLeave(EventArgs e)
        {
            base.OnMouseLeave(e);
            //マウスカーソルありなのにLeaveが動く＝ツールチップ点滅を起こしてる
            blinking = (this.Visible && this.ClientRectangle.Contains(PointToClient(MousePosition)));
            ShowItemToolTips = !blinking;
        }
        protected override void OnOpening(System.ComponentModel.CancelEventArgs e)
        {
            base.OnOpening(e);
            ShowItemToolTips = true;
        }
    }
}
